load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"
load "$HOME/local/lib/ncarg/nclscripts/grads/grads.ncl"

datadir = "/Volumes/ALERA2-01/stream2008/anal/mean/"
yyyymmddhh = 2008030900
lon0 = 110
lon1 = 180
lat0 =  15
lat1 =  60
plev = 700
begin
  setfileoption("bin","ReadByteOrder","BigEndian")
  f = grads_addfile(datadir+"yyyymmddhh.ctl")
;  time = grads_time(f)
;  utime = cd_calendar(time, -3)
;  t = closest_val(yyyymmddhh, utime)

  res = True
  res@tiMainString = "ALERA2"
  res@gsnCenterString = yyyymmddhh
  res@gsnLeftString = "z m"
  res@gsnRightString = "T K"
  res@gsnMaximize = True
  res@gsnDraw = False
  res@gsnFrame = False
  res@gsnSpreadColors = True
  res@gsnSpreadColorStart = 5
  res@gsnMaskLambertConformal = True
  res@mpProjection = "LambertConformal"
  res@mpMinLonF = lon0
  res@mpMaxLonF = lon1
  res@mpCenterLonF = 0.5*(lon0+lon1)
  res@mpMinLatF = lat0
  res@mpMaxLatF = lat1
  res@mpGridAndLimbOn = True
  res@mpDataBaseVersion = "Ncarg4_1"
  res@cnFillOn = True
  res@cnLinesOn = False
  res@cnLevelSelectionMode = "ManualLevels"
  res@cnMinLevelValF = 256
  res@cnMaxLevelValF = 280
  res@cnLevelSpacingF =  2

  resc = True
  resc@gsnDraw = False
  resc@gsnFrame = False
  resc@cnLevelSpacingF = 30
  resc@cnLineThicknessF = 3

  wks = gsn_open_wks("x11", "zT"+yyyymmddhh)
  gsn_define_colormap(wks, "posneg_1")

  f@grd = datadir + yyyymmddhh + ".grd"
  z = grads_read(f, "Z", 0)
  T = grads_read(f, "T", 0)

  plot = gsn_csm_contour_map(wks, T({plev},:,:), res)
  plotc = gsn_csm_contour(wks, z({plev},:,:), resc)
  overlay(plot, plotc)
  draw(plot)
  frame(wks)
end
